/*
 * *##% 
 * JAXX Action
 * Copyright (C) 2008 - 2009 CodeLutin
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 *
 * You should have received a copy of the GNU General Lesser Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * ##%*
 */
/**
 * ##% Copyright (C) 2008 Code Lutin, Tony Chemit
 * This program is free software; you
 * can redistribute it and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. This program is
 * distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE. See the GNU General Public License for more details. You
 * should have received a copy of the GNU General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 59 Temple Place
 * - Suite 330, Boston, MA 02111-1307, USA. 
 * ##%
 */
package org.nuiton.jaxx.action;

/**
 * Contrat pour obtenir les noms d'une action de maniere dynamique.
 * <p/>
 * Cette méthode sera appelee par un {@link ActionProvider} lorsque la clef dans le
 * fichier de mapping est <code>:fqn</code> (où fqn correspond à une implantation de ce contrat).
 * <p/>
 * Ainsi on peut associer à une action donnee plusieurs instances avec des noms différents mais de le meme comportement.
 * <p/>
 * Par exemple, une changement de locale ou seule la locale varie (et elle sera retrouvee a partir du nom de l'action).
 *
 * @author chemit
 */
public interface ActionNameProvider {

    /** @return la liste des noms à utiliser par la classe d'action. */
    String[] getActionCommands();

}
